Bug 248253 - [new port] emulators/dosbox-staging
Summary: [new port] emulators/dosbox-staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-25 04:25 UTC by Stefan Rink
Modified: 2020-08-22 08:46 UTC (History)
2 users (show)

See Also:


Attachments
dosbox-staging shar file (1.97 KB, text/plain)
2020-07-25 04:25 UTC, Stefan Rink
no flags Details
Cleaned up and made a .diff file (3.39 KB, patch)
2020-07-25 13:22 UTC, Stefan Rink
no flags Details | Diff
port for 0.75.0 (2.88 KB, text/plain)
2020-08-04 19:18 UTC, Max Brazhnikov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Rink 2020-07-25 04:25:31 UTC
Created attachment 216752 [details]
dosbox-staging shar file

I made a port for dosbox-staging, it adds some handy features like resize window, seamless mouse and more.
Comment 1 VVD 2020-07-25 06:47:58 UTC
Usually commiters ask for diff to existing similar port rather than shar.
Comment 2 Stefan Rink 2020-07-25 12:25:15 UTC
(In reply to VVD from comment #1)

Hi, sorry about that.

It is my first 'uploaded' port, I did use emulators/dosbox as a template but just I didn't use svn because I wasn't sure if that would work correctly. 

You want me to try and use the svn method?
Comment 3 Stefan Rink 2020-07-25 13:22:17 UTC
Created attachment 216762 [details]
Cleaned up and made a .diff file

Cleaned it up a bit and used svn to make a patch.

Added opusfile depend and removed unused sdl2 modules and fixed the version number.
Comment 4 VVD 2020-07-26 14:11:50 UTC
(In reply to Stefan Rink from comment #3)
diff with emulators/dosbox.
For example:
diff -urN /usr/ports/emulators/dosbox /usr/ports/emulators/dosbox-staging
Comment 5 Max Brazhnikov freebsd_committer 2020-08-04 19:18:19 UTC
Created attachment 217010 [details]
port for 0.75.0

I have a port for 0.75.0, which I resist to commit to the portstree, cause I don't want to be a maintainer. Would you like to test it? It can be installed alongside with original dosbox.
Comment 6 Max Brazhnikov freebsd_committer 2020-08-20 10:36:45 UTC
If anybody interested in maintaining the port let me know, I'll add it to the portstree.
Comment 7 VVD 2020-08-20 20:21:06 UTC
Link, plz, this bug report with this: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246318
Comment 8 commit-hook freebsd_committer 2020-08-21 09:31:18 UTC
A commit references this bug:

Author: makc
Date: Fri Aug 21 09:30:38 UTC 2020
New revision: 545581
URL: https://svnweb.freebsd.org/changeset/ports/545581

Log:
  Add emulators/dosbox-staging - DOS/x86 emulator forked from DOSBox

  I've renamed binary and man page to avoid conflict with emulators/dosbox.

  Changelog: https://dosbox-staging.github.io/v0-75-0/

  PR:	246318, 248253

Changes:
  head/emulators/Makefile
  head/emulators/dosbox-staging/
  head/emulators/dosbox-staging/Makefile
  head/emulators/dosbox-staging/distinfo
  head/emulators/dosbox-staging/files/
  head/emulators/dosbox-staging/pkg-descr
  head/emulators/dosbox-staging/pkg-plist